%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(CPAN/DistnameInfo.pm) perl(CPAN/Reporter/History.pm) perl(CPAN/Reporter/Smoker.pm) perl(Date/Calc.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(LWP/Simple.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(URI.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name CPAN-Reporter-Smoker-Safer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Turnkey smoking of installed distros
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DA/DAVIDRW/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This is a subclass of the CPAN::Reporter::Smoker manpage that will limit the set of tested distributions to ones that are "trusted".
This means that the distribution is already installed on the system, and that the new version it has been on CPAN for a certain amount of time, and has already received a certain number of test reporters.
The assumption is that is it is safe (as in "safer") to install distributions (and their dependencies) that meet that criteria.

This can be used to run partial smoke testing on a box that normally wouldn't be desired for full smoke testing
(i.e. isn't a dedicated/isolated environment).
Another potential use is to vet everything before upgrading.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README TODO
%perl_vendor_privlib/C*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

